using PkmnLib.Dynamic.Libraries.DataLoaders;
using PkmnLib.Dynamic.Plugins;

namespace PkmnLib.Tests.Dataloader;

public class ItemDataLoaderTests
{
    [Test]
    public async Task TestPrimaryItemFile()
    {
        IResourceProvider plugin = new Plugin.Gen7.Gen7Plugin();
        var result = plugin.GetResource(ResourceFileType.Items)!;
        await using var stream = result.Open();
        var library = ItemDataLoader.LoadItems(stream);
        await Assert.That(library).IsNotNull();
    }
}